Select 
	sp.StateProvinceCode, 
	sp.Name as StateProvinceName, 
	cr.Name AS CountryRegionName,
	COUNT(*) as ResellerCount
From Sales.store s 
Inner Join Person.BusinessEntityAddress bea On s.BusinessEntityID = bea.BusinessEntityID
Inner Join Person.AddressType at On bea.AddressTypeID = at.AddressTypeID and at.Name = 'Main Office'
Inner Join Person.Address a On bea.AddressID = a.AddressID
Inner Join person.StateProvince sp On a.StateProvinceID = sp.StateProvinceID
Inner Join sales.SalesTerritory st On sp.TerritoryID = st.TerritoryID
Inner Join Person.CountryRegion cr On st.CountryRegionCode = cr.CountryRegionCode
Where cr.Name = 'United States'
Group by 
	sp.StateProvinceCode, 
	sp.Name,
	cr.Name 
