select top 10 ResellerName, AccountNumber, City, SpatialLocation 
from (
select
r.ResellerName, r.ResellerAlternateKey, SUM(SalesAmount) as ResellerSalesAmount 
from AdventureWorksDW2008R2.dbo.FactResellerSales f
join AdventureWorksDW2008R2.dbo.DimReseller r on r.ResellerKey = f.ResellerKey 
join AdventureWorksDW2008R2.dbo.DimSalesTerritory st on st.SalesTerritoryKey = f.SalesTerritoryKey 
where st.SalesTerritoryCountry = 'United States'
group by r.ResellerName, r.ResellerAlternateKey ) sales
join AdventureWorks2008R2.Sales.Customer c on c.AccountNumber = sales.ResellerAlternateKey
join AdventureWorks2008R2.Sales.Store s on c.StoreID = s.BusinessEntityID 
join AdventureWorks2008R2.Person.BusinessEntityAddress ba on ba.BusinessEntityID = s.BusinessEntityID
join AdventureWorks2008R2.Person.Address a on a.AddressID = ba.AddressID 
order by ResellerSalesAmount desc
	